<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>Anonymous function</title>
</head>
  <script type="text/javascript">
    var greatings = function () {//(1) anonymous function has no name
      message = "Greeting to you ! ";//(2)function definition
      return message;//(3)
    }
  </script>
  <body>
    <big>
	    <script type="text/javascript">
	      text = greatings; //(4)
	      // greatings is a variable
	      // its value is the function definition
	      document.write(text + "<br/>");
	      
	      text = greatings; //(5) call-function
	      document.write(text + "<br/>");
	    </script>
    </big>
  </body>
  <!--
  1 A function without a name, called an anonymous function, is given its definition between the curly braces.
    The definition of the function is assigned to the variable greetings.
    We can say then that greetings is the name of a variable whose value is a function definition
    and that greetings is a reference to the function
    
  2 In the function a variable called message is assigned a string. Rather than using an 
    alert box to send the message, it will be returned to the caller.
    
  3 The return statement sends the message back to the caller of the function.
  
  4 Notice that in this line we are displaying the value of the variable greetings. The 
    definition of the function is shown.
    
  5 In this line the variable name is appended with parentheses, the () operator.
    This operator causes JavaScript to call greetings as a function and return the result.
    In the previous line, without the () operator, the value of the variable, a function definition,
    is displayed (see Figure 7.11). 
   -->
</html>